package com.gzlh.task;

import cn.hutool.http.HttpUtil;
import cn.hutool.poi.excel.cell.setters.RichTextCellSetter;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class UploadTask implements Runnable {
    private String serverUrl;
    private String channelName;
    private Integer weight;

    public UploadTask(String serverUrl, String channelName, Integer weight) {
        this.serverUrl = serverUrl;
        this.channelName = channelName;
        this.weight = weight;
    }

    @Override
    public void run() {
        log.info("upload weight req:{},{}", channelName, weight);
        HttpUtil.get(serverUrl + "/open/reqWeighbridge?channel=" + channelName + "&weight=" + weight);
        log.info("upload finish");
    }
}
