package com.gzlh.task;

import cn.hutool.http.HttpUtil;
import com.gzlh.config.ApplicationConfig;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class BeatTask {
    @Resource
    private ApplicationConfig applicationConfig;

    @Async
    @Scheduled(fixedRate = 10000)
    public void  beat(){
        HttpUtil.get(applicationConfig.getServerUrl()+"/SysChannelApplication/beat?channelName="+applicationConfig.getChannelName());
    }

}
